# er.sh from thowi
#
VERSION=40
ERKIT=dm7025remote$VERSION.tar
#
INSTALLDIR=/var/tmp
#
# device specific variables
#
ERHOME=/usr/lib/enigma2/python/Plugins/Extensions/DM7025remote
MSHOME=/usr/lib/enigma2/python/Plugins/Extensions/Mediaserver7025
# device paths
#
HELP=$ERHOME/readme.txt
PLUGINDIR=/usr/lib/enigma2/python/Plugins/Extensions
MEDIASERVER=$PLUGINDIR/Mediaserver7025/Mediaserver7025
MAKEKIT=$ERHOME/makekit.sh
ERSTART=/etc/rc3.d/S22mediaserver
#
BZIP2=/usr/bin/bzip2
DEBUG=$ERHOME/.erdebug
THINK=5
LOG=/var/tmp/mslogfile


if [ -f $DEBUG ]; then
             echo "----------------------------------------------------"
#             echo $0 $1 $2 $3 $4 $5 $6
             wall "$0 $1 $2 $3 $4 $5 $6"
             echo "----------------------------------------------------"
#             exit 0
fi

if  [ ! -d $INSTALLDIR ]; then
        mkdir $INSTALLDIR
fi


cd /

case "$1" in
   "passwd")
   echo "----------------------------------------------------"
   cp $ERHOME/index.tpl $ERHOME/index.html
   if [ $# -lt 2 ]; then
      echo "no new password passed, default will be used"
   else
      echo "new Password for WebIF login will be: $2"
      sed  -ie s!thowi!$2!g $ERHOME/index.html
   fi
   echo "----------------------------------------------------"
   echo "Restarting Mediaserver dameon ..."
   $ERSTART restart
   echo "----------------------------------------------------"
   exit 0
   ;;
   "port")
   echo "----------------------------------------------------"
   cp $MSHOME/Mediaserver7025/Mediaserver7025.tpl $MSHOME/Mediaserver7025/Mediaserver7025.py
   if [ $# -lt 2 ]; then
      echo "no new portnumber passed, default 80 will be used"
   else
      POSSIBLE=0
      if [ $2 -gt 0 ]; then
         POSSIBLE=1
      fi > /dev/null 2>&1
      if [ $POSSIBLE = 1 ]; then
         echo "new port for Mediaserver will be: $2"
         sed  -ie s!"CONFIG_SERVERPORT=80"!"CONFIG_SERVERPORT=$2"!g $MSHOME/Mediaserver7025/Mediaserver7025.py
      else
         echo "this Portnumber is not possible, using default 80"
      fi
   fi
   echo "----------------------------------------------------"
   echo "Restarting Mediaserver dameon ..."
   $ERSTART restart
   echo "----------------------------------------------------"
   exit 0
   ;;
   "man")
      echo "-----------------------------------------------------"
      echo "Showing $HELP"
      cat $HELP
   ;;
   "log")
      echo "-----------------------------------------------------"
      echo "Display Logfile at $LOG"
      echo "-----------------------------------------------------"
      if  [ ! -f $LOG ]; then
        echo "No log file available - sorry"
      else
        cat $LOG
      fi
      echo "-----------------------------------------------------"
      exit 0
      ;;
   "reboot")
      echo "------------------------------------------"
      echo "Rebooting in $THINK seconds"  
      echo "------------------------------------------"
      sleep $THINK
      echo "Rebooting NOW"
      echo "------------------------------------------"
      shutdown -r now
      exit 0
   ;;
   "halt")
      echo "------------------------------------------"
      echo "Shutdown in $THINK seconds"  
      echo "------------------------------------------"
      sleep $THINK
      echo "Shutting down NOW"
      echo "------------------------------------------"
      shutdown -h now
      exit 0
   ;;
   "kill")
      echo "------------------------------------------"
      echo "enigma2 will be restarted in $THINK seconds"
      echo "------------------------------------------"
      sleep $THINK
      echo "enigma2 will be restarted NOW"
      init 2
      sleep 3
      init 3
      exit 0
   ;;
   "start")
echo "-----------------------------------------------------"
   echo "Starting Mediaserver dameon ..."
   $ERSTART start
echo "-----------------------------------------------------"
   exit 0
   ;;
   "stop")
echo "-----------------------------------------------------"
   echo "Stopping Mediaserver dameon ..."
   $ERSTART stop
echo "-----------------------------------------------------"
   exit 0
   ;;
   "restart")
echo "-----------------------------------------------------"
   echo "Restarting Mediaserver dameon ..."
   $ERSTART restart
echo "-----------------------------------------------------"
   exit 0
   ;;
   "info")
echo "-----------------------------------------------------"
echo "Check next line if Mediaserver dameon is running"
echo "-----------------------------------------------------"
ps ax | grep Mediaserver7025 |  grep python
echo "-----------------------------------------------------"
;;
   "enable")
      echo "-----------------------------------------------------"
      echo "Enabling / Updating RC ..."
         
         cd $ERHOME
         echo "Enabling mediaserver startup on boot"
         ln -sf $MEDIASERVER/mediaserver.sh $ERSTART
         echo "Starting Mediaserver dameon ..."
         $ERSTART restart

         echo "Changing Protections ..."
         rm $ERHOME/fbshot > /dev/null 2>&1
         rm $ERHOME/control > /dev/null 2>&1
         rm $ERHOME/remote > /dev/null 2>&1
         rm $ERHOME/record > /dev/null 2>&1
         rm $ERHOME/*.c > /dev/null 2>&1
         chmod 777 /dev/input/event1
         chmod -R 755 $ERHOME
         chmod -R 755 $MSHOME
         chmod 777 $ERHOME/osdshot.png

         echo "Restarting enigma to make RC plugin available in enigma2 menu ..."
         init 2
         sleep 3
         init 3
         echo "Finished enabling RC !"
         echo "-----------------------------------------------------"
;; 
   "disable")
      echo "-----------------------------------------------------"
         echo "Disabling RC ..."
   echo "Stopping Mediaserver dameon ..."
   $ERSTART stop
   cd /
   if [ -d $ERHOME ]; then
      rm -r $ERHOME
   fi
   if [ -d $MSHOME ]; then
      rm -r $MSHOME
   fi
   rm $ERSTART

         echo "Deinstallation of RC finished !"
         echo "Restarting enigma to get rid of RC Plugin addon menu"
         init 2
         sleep 3
         init 3
         echo "-----------------------------------------------------"
;;
    *)
        echo "-----------------------------------------------------"
	echo "Usage: er.sh {info|stop|start|restart|passwd|"
	echo "              enable|disable|reboot|halt|kill|man}"
        echo "-----------------------------------------------------"
        echo "info       option displays info if Mediaserver is running"
        echo "stop       option stops the Mediaserver dameon"
        echo "start      option starts the Mediaserver dameon"
        echo "restart    option restarts the Mediaserver dameon"
        echo "passwd     option changes Password of the WebIF logo"
        echo "port       option changes Webserver port of the Mediaserver"
        echo "enable     option enables RC and Mediaserver daemon"
        echo "disable    option disables RC and Mediaserver daemon" 
        echo "reboot     option reboots Dreambox"
        echo "halt       option halts Dreambox"
        echo "kill       option will restart only enigma2"
        echo "man        option displays longer help text"
        echo "-----------------------------------------------------"
	exit 1
	;;
esac
